curl --request PUT \
--url https://api.bridge.xyz/v0/customers/{customerID}/virtual_accounts/{virtualAccountID} \
--header 'Api-Key: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"destination": {
"currency": "usdc",
"payment_rail": "polygon",
"address": "0xdeadbeef",
"blockchain_memo": "from_bridge"
},
"developer_fee_percent": "0.1",
"fee_config": {
"source": {
"fee_percent": "0.5",
"minimum_fee": "1.00"
}
}
}
'import requests
url = "https://api.bridge.xyz/v0/customers/{customerID}/virtual_accounts/{virtualAccountID}"
payload = {
"destination": {
"currency": "usdc",
"payment_rail": "polygon",
"address": "0xdeadbeef",
"blockchain_memo": "from_bridge"
},
"developer_fee_percent": "0.1",
"fee_config": { "source": {
"fee_percent": "0.5",
"minimum_fee": "1.00"
} }
}
headers = {
"Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
destination: {
currency: 'usdc',
payment_rail: 'polygon',
address: '0xdeadbeef',
blockchain_memo: 'from_bridge'
},
developer_fee_percent: '0.1',
fee_config: {source: {fee_percent: '0.5', minimum_fee: '1.00'}}
})
};
fetch('https://api.bridge.xyz/v0/customers/{customerID}/virtual_accounts/{virtualAccountID}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"status": "activated",
"developer_fee_percent": "0.1",
"fee_config": {
"source": {
"default": {
"fee_percent": "0.5",
"minimum_fee": "1.00"
},
"wire": {
"fee_amount": "10.00",
"fee_percent": "1.0"
}
}
},
"customer_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"source_deposit_instructions": {
"currency": "usd",
"payment_rails": [
"ach_push",
"fednow",
"wire"
],
"bank_name": "Lead Bank",
"bank_address": "1801 Main St., Kansas City, MO 64108",
"bank_beneficiary_name": "Customer Name",
"bank_beneficiary_address": "1234 Main St., Kansas City, MO 64108",
"bank_account_number": "123456789",
"bank_routing_number": "87654321"
},
"destination": {
"currency": "usdc",
"payment_rail": "polygon",
"address": "0xdeadbeef"
}
}Update a Virtual Account
Update instructions for an existing Virtual Account
Authorizations
Path Parameters
A UUID that uniquely identifies a resource
1 - 42[a-z0-9]*A UUID that uniquely identifies a resource
1 - 42[a-z0-9]*Body
The Virtual Account details to be updated
Show child attributes
Show child attributes
{
"currency": "usdc",
"payment_rail": "polygon",
"address": "0xdeadbeef",
"blockchain_memo": "from_bridge"
}
The developer fee percent that will be applied to this Virtual Account. The value is a base 100 percentage, i.e. 10.2% is 10.2 in the API.
"0.1"
Developer fee configuration. Available by request only. Contact Bridge to enable this feature for your developer account. When provided, performs a full replacement of the existing fee configuration. If the virtual account was previously configured with developer_fee_percent, providing fee_config will clear developer_fee_percent and replace it with the new configuration. Include the desired fee under source (e.g. fee_config.source.fee_percent). Cannot be provided alongside developer_fee_percent in the same request.
Show child attributes
Show child attributes
Response
Updated Virtual Account object
A UUID that uniquely identifies a resource
1 - 42[a-z0-9]*The activation status of the Virtual Account
activated, deactivated The developer fee percent that will be applied to this Virtual Account. The value is a base 100 percentage, i.e. 10.2% is 10.2 in the API.
"0.1"
Developer fee configuration. Available by request only and returned only for developers with this feature enabled.
Show child attributes
Show child attributes
A UUID that uniquely identifies a resource
1 - 42[a-z0-9]*Time of creation of the virtual account
- Virtual Account US
- Virtual IBAN
- Virtual Account MX
- Virtual Account BR
- Virtual Account UK
- Virtual Account CO (Bre-B)
Show child attributes
Show child attributes
{
"currency": "usd",
"payment_rails": ["ach_push", "fednow", "wire"],
"bank_name": "Lead Bank",
"bank_address": "1801 Main St., Kansas City, MO 64108",
"bank_beneficiary_name": "Customer Name",
"bank_beneficiary_address": "1234 Main St., Kansas City, MO 64108",
"bank_account_number": "123456789",
"bank_routing_number": "87654321"
}
Show child attributes
Show child attributes
{
"currency": "usdc",
"payment_rail": "polygon",
"address": "0xdeadbeef"
}
Was this page helpful?